
#include "TileAnimation.h"


///gets

int TileAnimation::Get_corrent_frame()
{
	return corrent_frame;
}

int	TileAnimation::Get_framenum()
{
	return framenum;
}


int TileAnimation::Get_animate_id()
{
	return animate_id;
}

int TileAnimation::Get_num_frames()
{
	return num_frames;
}

int TileAnimation::Get_frame1()
{
	return frame1;
}

int TileAnimation::Get_frame2()
{
	return frame2;
}

int TileAnimation::Get_frame3()
{
	return frame3;
}

int TileAnimation::Get_frame4()
{
	return frame4;
}

int TileAnimation::Get_frame5()
{
	return frame5;
}
char *TileAnimation::Get_name()
{
	return name;
}

//sets
void TileAnimation::Set_corrent_frame(int num)
{
corrent_frame = num;
}
void TileAnimation::Set_framenum(int num)
{
framenum = num;
}


void TileAnimation::Set_animate_id(int num)
{
animate_id = num;
}

void TileAnimation::Set_num_frames(int num)
{
num_frames = num;
}

void TileAnimation::Set_frame1(int num)
{
frame1 = num;
}

void TileAnimation::Set_frame2(int num)
{
frame2 = num;
}

void TileAnimation::Set_frame3(int num)
{
frame3 = num;
}

void TileAnimation::Set_frame4(int num)
{
frame4 = num;
}

void TileAnimation::Set_frame5(int num)
{
frame5 = num;
}
void TileAnimation::Set_name(char *newname)
{
name = newname;
}
TileAnimation::TileAnimation()
{
		char *name = "not set";
		corrent_frame = 0;
		 framenum = 0;
		 animate_id = 0;
		 num_frames = 0;
		 frame1 = 0;
		 frame2 = 0;
		 frame3 = 0;
		 frame4 = 0;
		 frame5 = 0;
}
